package com.leromro.common.utils;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.lang.reflect.Field;
import java.util.List;

/**
 * 反射Table工具类
 */
public class TableUtil {

    //创建getTableIdName方法，参数为List<Field> fields，从fields中获取表主键名称
    public static String getTableIdName(List<Field> fields) {
        for (java.lang.reflect.Field field : fields) {
            if (field.isAnnotationPresent(TableId.class)) {
                return field.getName();
            }
        }
        return null;
    }
    //创建getTableName方法，参数为Class<?> tableEntity，从tableEntity中获取表名
    public static String getTableName(Class<?> tableEntity) {
        //从tableEntity中获取mysql表名
        return tableEntity.getAnnotation(TableName.class).value();
    }
}
